Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::group_by_base_fn Struct Reference
Inheritance diagram for ranges::views::group_by_base_fn:

## Public Member Functions
template<typename Rng , typename Fun >
constexpr group_by_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , typename Fun >

constexpr group_by_view<all_t<Rng>, Fun> ranges::views::group_by_base_fn::operator() | ( | Rng && | rng,
|  | Fun | fun
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && forward_range<Rng> && indirect_relation<Fun, iterator_t<Rng>>`